import { Component } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterOutlet } from '@angular/router';
import { AuthService } from './services/auth.service';
import { MatButtonModule } from '@angular/material/button';
import { MatIconModule } from '@angular/material/icon';

@Component({
  selector: 'app-root',
  imports: [CommonModule, RouterOutlet, MatButtonModule, MatIconModule],
  templateUrl: './app.component.html',
  standalone: true,
})
export class AppComponent {
  title = 'Employee Management System';

  constructor(private authService: AuthService) {}

  logout(): void {
    this.authService.logout();
  }
}
